# QXmlStreamAttributes Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QXmlStreamAttributes()

### Constructor Properties

- prototype: The QXmlStreamAttributes prototype object
- List fromList(List list)

### Prototype Object Properties

- void append(String namespaceUri, String name, String value)
- QXmlStreamAttribute at(int i)
- int capacity()
- void clear()
- bool contains(QXmlStreamAttribute t)
- int count()
- bool empty()
- bool endsWith(QXmlStreamAttribute t)
- List fill(QXmlStreamAttribute t, int size)
- QXmlStreamAttribute first()
- bool hasAttribute(String namespaceUri, String name)
- int indexOf(QXmlStreamAttribute t, int from)
- bool isEmpty()
- bool isSharedWith(List other)
- QXmlStreamAttribute last()
- int lastIndexOf(QXmlStreamAttribute t, int from)
- List mid(int pos, int length)
- bool operator_equal(List v)
- void prepend(QXmlStreamAttribute t)
- void remove(int i)
- void replace(int i, QXmlStreamAttribute t)
- void reserve(int size)
- void resize(int size)
- void setSharable(bool sharable)
- int size()
- void squeeze()
- bool startsWith(QXmlStreamAttribute t)
- void swap(List other)
- List toList()
- String value(String namespaceUri, String name)

### Instance Properties

QXmlStreamAttributes objects have no special properties beyond those inherited from the QXmlStreamAttributes prototype object.